Bug 216913 - unexpected exit of sensors-detect
unexpected exit of sensors-detect
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-22 12:17 EST by H.Breimer
Modified: 2015-03-04 20:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-23 05:24:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H.Breimer 2006-11-22 12:17:38 EST
Description of problem:
Sensors-detect exits with line5129 ; can not find i2cdetect
Strange, while both sensors-detect and i2cdetect are installed with the same
rpm, which installs i2cdetect in /usr/sbin.

Looking at line 5129, sensors-detect seems to expect i2cdetect in /usr/local/sbin??

And indeed, a "ln -s /usr/sbin/i2cdetect" in /usr/local/sbin makes
sensors-detec perform as expected.

Version-Release number of selected component (if applicable):
lm_sensors-2.10.0-3.1  at the moment.
But I had this problem already in FC5, I think.

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Phil Knirsch 2006-11-23 05:24:58 EST
Have you run the program as root?

As sensors-detect can only operate when being run as root and /usr/sbin is only
in the default PATH for root it's logical that when it is run as a normal user
it won't find i2cdetect.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.